#ifndef DOM_BINDINGNAMES_H_
#define DOM_BINDINGNAMES_H_

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSFontPaletteValuesRule = 949,
  CSSGroupingRule = 974,
  CSSImportRule = 990,
  CSSKeyframeRule = 1004,
  CSSKeyframesRule = 1020,
  CSSLayerBlockRule = 1037,
  CSSLayerStatementRule = 1055,
  CSSMediaRule = 1077,
  CSSMozDocumentRule = 1090,
  CSSNamespaceRule = 1109,
  CSSPageRule = 1126,
  CSSPropertyRule = 1138,
  CSSPseudoElement = 1154,
  CSSRule = 1171,
  CSSRuleList = 1179,
  CSSStyleDeclaration = 1191,
  CSSStyleRule = 1211,
  CSSStyleSheet = 1224,
  CSSSupportsRule = 1238,
  CSSTransition = 1254,
  Cache = 1268,
  CacheStorage = 1274,
  CallbackDebuggerNotification = 1287,
  CanonicalBrowsingContext = 1316,
  CanvasCaptureMediaStream = 1341,
  CanvasGradient = 1366,
  CanvasPattern = 1381,
  CanvasRenderingContext2D = 1395,
  CaretPosition = 1420,
  CaretStateChangedEvent = 1434,
  ChannelMergerNode = 1457,
  ChannelSplitterNode = 1475,
  ChannelWrapper = 1495,
  CharacterData = 1510,
  CheckerboardReportService = 1524,
  ChildProcessMessageManager = 1550,
  ChildSHistory = 1577,
  ChromeMessageBroadcaster = 1591,
  ChromeMessageSender = 1616,
  ChromeNodeList = 1636,
  ChromeUtils = 1651,
  ChromeWorker = 1663,
  Client = 1676,
  Clients = 1683,
  Clipboard = 1691,
  ClipboardEvent = 1701,
  ClipboardItem = 1716,
  ClonedErrorHolder = 1730,
  CloseEvent = 1748,
  CommandEvent = 1759,
  Comment = 1772,
  CompositionEvent = 1780,
  CompressionStream = 1797,
  ConsoleInstance = 1815,
  ConstantSourceNode = 1831,
  ContentFrameMessageManager = 1850,
  ContentProcessMessageManager = 1877,
  ContentVisibilityAutoStateChangeEvent = 1906,
  ConvolverNode = 1944,
  CountQueuingStrategy = 1958,
  CreateOfferRequest = 1979,
  Credential = 1998,
  CredentialsContainer = 2009,
  Crypto = 2030,
  CryptoKey = 2037,
  CustomElementRegistry = 2047,
  CustomEvent = 2069,
  DOMException = 2081,
  DOMImplementation = 2094,
  DOMLocalization = 2112,
  DOMMatrix = 2128,
  DOMMatrixReadOnly = 2138,
  DOMParser = 2156,
  DOMPoint = 2166,
  DOMPointReadOnly = 2175,
  DOMQuad = 2192,
  DOMRect = 2200,
  DOMRectList = 2208,
  DOMRectReadOnly = 2220,
  DOMRequest = 2236,
  DOMStringList = 2247,
  DOMStringMap = 2261,
  DOMTokenList = 2274,
  DataTransfer = 2287,
  DataTransferItem = 2300,
  DataTransferItemList = 2317,
  DebuggerNotification = 2338,
  DebuggerNotificationObserver = 2359,
  DecompressionStream = 2388,
  DedicatedWorkerGlobalScope = 2408,
  DelayNode = 2435,
  DeprecationReportBody = 2445,
  DeviceAcceleration = 2467,
  DeviceLightEvent = 2486,
  DeviceMotionEvent = 2503,
  DeviceOrientationEvent = 2521,
  DeviceRotationRate = 2544,
  Directory = 2563,
  Document = 2573,
  DocumentFragment = 2582,
  DocumentL10n = 2599,
  DocumentTimeline = 2612,
  DocumentType = 2629,
  DominatorTree = 2642,
  DragEvent = 2656,
  DynamicsCompressorNode = 2666,
  EXT_blend_minmax = 2689,
  EXT_color_buffer_float = 2706,
  EXT_color_buffer_half_float = 2729,
  EXT_disjoint_timer_query = 2757,
  EXT_float_blend = 2782,
  EXT_frag_depth = 2798,
  EXT_sRGB = 2813,
  EXT_shader_texture_lod = 2822,
  EXT_texture_compression_bptc = 2845,
  EXT_texture_compression_rgtc = 2874,
  EXT_texture_filter_anisotropic = 2903,
  EXT_texture_norm16 = 2934,
  Element = 2953,
  ElementInternals = 2961,
  EncodedVideoChunk = 2978,
  ErrorEvent = 2996,
  Event = 3007,
  EventCallbackDebuggerNotification = 3013,
  EventCounts = 3047,
  EventSource = 3059,
  EventTarget = 3071,
  Exception = 3083,
  ExtendableEvent = 3093,
  ExtendableMessageEvent = 3109,
  ExtensionAlarms = 3132,
  ExtensionBrowser = 3148,
  ExtensionBrowserSettings = 3165,
  ExtensionBrowserSettingsColorManagement = 3190,
  ExtensionDns = 3230,
  ExtensionEventManager = 3243,
  ExtensionMockAPI = 3265,
  ExtensionPort = 3282,
  ExtensionProxy = 3296,
  ExtensionRuntime = 3311,
  ExtensionScripting = 3328,
  ExtensionSetting = 3347,
  ExtensionTest = 3364,
  External = 3378,
  FeaturePolicy = 3387,
  FeaturePolicyViolationReportBody = 3401,
  FetchEvent = 3434,
  FetchObserver = 3445,
  File = 3459,
  FileList = 3464,
  FileReader = 3473,
  FileReaderSync = 3484,
  FileSystem = 3499,
  FileSystemDirectoryEntry = 3510,
  FileSystemDirectoryHandle = 3535,
  FileSystemDirectoryHandle_AsyncIterator = 3561,
  FileSystemDirectoryIterator = 3601,
  FileSystemDirectoryReader = 3629,
  FileSystemEntry = 3655,
  FileSystemFileEntry = 3671,
  FileSystemFileHandle = 3691,
  FileSystemHandle = 3712,
  FileSystemSyncAccessHandle = 3729,
  FileSystemWritableFileStream = 3756,
  Flex = 3785,
  FlexItemValues = 3790,
  FlexLineValues = 3805,
  FluentBundle = 3820,
  FluentBundleAsyncIterator = 3833,
  FluentBundleIterator = 3859,
  FluentPattern = 3880,
  FluentResource = 3894,
  FocusEvent = 3909,
  FontFace = 3920,
  FontFaceSet = 3929,
  FontFaceSetIterator = 3941,
  FontFaceSetLoadEvent = 3961,
  FormData = 3982,
  FormData_Iterator = 3991,
  FormDataEvent = 4009,
  FrameCrashedEvent = 4023,
  FrameLoader = 4041,
  GPU = 4053,
  GPUAdapter = 4057,
  GPUAdapterInfo = 4068,
  GPUBindGroup = 4083,
  GPUBindGroupLayout = 4096,
  GPUBuffer = 4115,
  GPUBufferUsage = 4125,
  GPUCanvasContext = 4140,
  GPUColorWrite = 4157,
  GPUCommandBuffer = 4171,
  GPUCommandEncoder = 4188,
  GPUCompilationInfo = 4206,
  GPUCompilationMessage = 4225,
  GPUComputePassEncoder = 4247,
  GPUComputePipeline = 4269,
  GPUDevice = 4288,
  GPUDeviceLostInfo = 4298,
  GPUError = 4316,
  GPUInternalError = 4325,
  GPUMapMode = 4342,
  GPUOutOfMemoryError = 4353,
  GPUPipelineLayout = 4373,
  GPUQuerySet = 4391,
  GPUQueue = 4403,
  GPURenderBundle = 4412,
  GPURenderBundleEncoder = 4428,
  GPURenderPassEncoder = 4451,
  GPURenderPipeline = 4472,
  GPUSampler = 4490,
  GPUShaderModule = 4501,
  GPUShaderStage = 4517,
  GPUSupportedFeatures = 4532,
  GPUSupportedLimits = 4553,
  GPUTexture = 4572,
  GPUTextureUsage = 4583,
  GPUTextureView = 4599,
  GPUUncapturedErrorEvent = 4614,
  GPUValidationError = 4638,
  GainNode = 4657,
  Gamepad = 4666,
  GamepadAxisMoveEvent = 4674,
  GamepadButton = 4695,
  GamepadButtonEvent = 4709,
  GamepadEvent = 4728,
  GamepadHapticActuator = 4741,
  GamepadLightIndicator = 4763,
  GamepadPose = 4785,
  GamepadServiceTest = 4797,
  GamepadTouch = 4816,
  Geolocation = 4829,
  GeolocationCoordinates = 4841,
  GeolocationPosition = 4864,
  GeolocationPositionError = 4884,
  GetUserMediaRequest = 4909,
  GleanCategory = 4929,
  GleanImpl = 4943,
  GleanLabeled = 4953,
  GleanPingsImpl = 4966,
  Grid = 4981,
  GridArea = 4986,
  GridDimension = 4995,
  GridLine = 5009,
  GridLines = 5018,
  GridTrack = 5028,
  GridTracks = 5038,
  HTMLAllCollection = 5049,
  HTMLAnchorElement = 5067,
  HTMLAreaElement = 5085,
  HTMLAudioElement = 5101,
  HTMLBRElement = 5118,
  HTMLBaseElement = 5132,
  HTMLBodyElement = 5148,
  HTMLButtonElement = 5164,
  HTMLCanvasElement = 5182,
  HTMLCollection = 5200,
  HTMLDListElement = 5215,
  HTMLDataElement = 5232,
  HTMLDataListElement = 5248,
  HTMLDetailsElement = 5268,
  HTMLDialogElement = 5287,
  HTMLDirectoryElement = 5305,
  HTMLDivElement = 5326,
  HTMLDocument = 5341,
  HTMLElement = 5354,
  HTMLEmbedElement = 5366,
  HTMLFieldSetElement = 5383,
  HTMLFontElement = 5403,
  HTMLFormControlsCollection = 5419,
  HTMLFormElement = 5446,
  HTMLFrameElement = 5462,
  HTMLFrameSetElement = 5479,
  HTMLHRElement = 5499,
  HTMLHeadElement = 5513,
  HTMLHeadingElement = 5529,
  HTMLHtmlElement = 5548,
  HTMLIFrameElement = 5564,
  HTMLImageElement = 5582,
  HTMLInputElement = 5599,
  HTMLLIElement = 5616,
  HTMLLabelElement = 5630,
  HTMLLegendElement = 5647,
  HTMLLinkElement = 5665,
  HTMLMapElement = 5681,
  HTMLMarqueeElement = 5696,
  HTMLMediaElement = 5715,
  HTMLMenuElement = 5732,
  HTMLMetaElement = 5748,
  HTMLMeterElement = 5764,
  HTMLModElement = 5781,
  HTMLOListElement = 5796,
  HTMLObjectElement = 5813,
  HTMLOptGroupElement = 5831,
  HTMLOptionElement = 5851,
  HTMLOptionsCollection = 5869,
  HTMLOutputElement = 5891,
  HTMLParagraphElement = 5909,
  HTMLParamElement = 5930,
  HTMLPictureElement = 5947,
  HTMLPreElement = 5966,
  HTMLProgressElement = 5981,
  HTMLQuoteElement = 6001,
  HTMLScriptElement = 6018,
  HTMLSelectElement = 6036,
  HTMLSlotElement = 6054,
  HTMLSourceElement = 6070,
  HTMLSpanElement = 6088,
  HTMLStyleElement = 6104,
  HTMLTableCaptionElement = 6121,
  HTMLTableCellElement = 6145,
  HTMLTableColElement = 6166,
  HTMLTableElement = 6186,
  HTMLTableRowElement = 6203,
  HTMLTableSectionElement = 6223,
  HTMLTemplateElement = 6247,
  HTMLTextAreaElement = 6267,
  HTMLTimeElement = 6287,
  HTMLTitleElement = 6303,
  HTMLTrackElement = 6320,
  HTMLUListElement = 6337,
  HTMLUnknownElement = 6354,
  HTMLVideoElement = 6373,
  HashChangeEvent = 6390,
  Headers = 6406,
  Headers_Iterator = 6414,
  HeapSnapshot = 6431,
  Highlight = 6444,
  HighlightRegistry = 6454,
  History = 6472,
  IDBCursor = 6480,
  IDBCursorWithValue = 6490,
  IDBDatabase = 6509,
  IDBFactory = 6521,
  IDBIndex = 6532,
  IDBKeyRange = 6541,
  IDBLocaleAwareKeyRange = 6553,
  IDBObjectStore = 6576,
  IDBOpenDBRequest = 6591,
  IDBRequest = 6608,
  IDBTransaction = 6619,
  IDBVersionChangeEvent = 6634,
  IIRFilterNode = 6656,
  IOUtils = 6670,
  IdentityCredential = 6678,
  IdleDeadline = 6697,
  Image = 6710,
  ImageBitmap = 6716,
  ImageBitmapRenderingContext = 6728,
  ImageCapture = 6756,
  ImageCaptureError = 6769,
  ImageCaptureErrorEvent = 6787,
  ImageData = 6810,
  ImageDocument = 6820,
  InputEvent = 6834,
  InspectorFontFace = 6845,
  InspectorUtils = 6863,
  InstallTriggerImpl = 6878,
  IntersectionObserver = 6897,
  IntersectionObserverEntry = 6918,
  IntlUtils = 6944,
  JSProcessActorChild = 6954,
  JSProcessActorParent = 6974,
  JSWindowActorChild = 6995,
  JSWindowActorParent = 7014,
  KeyEvent = 7034,
  KeyboardEvent = 7043,
  KeyframeEffect = 7057,
  L10nFileSource = 7072,
  L10nOverlays = 7087,
  L10nRegistry = 7100,
  LargestContentfulPaint = 7113,
  LegacyMozTCPSocket = 7136,
  Localization = 7155,
  Location = 7168,
  Lock = 7177,
  LockManager = 7182,
  MIDIAccess = 7194,
  MIDIConnectionEvent = 7205,
  MIDIInput = 7225,
  MIDIInputMap = 7235,
  MIDIMessageEvent = 7248,
  MIDIOutput = 7265,
  MIDIOutputMap = 7276,
  MIDIPort = 7290,
  MOZ_debug = 7299,
  MatchGlob = 7309,
  MatchPattern = 7319,
  MatchPatternSet = 7332,
  MathMLElement = 7348,
  MediaCapabilities = 7362,
  MediaCapabilitiesInfo = 7380,
  MediaControlService = 7402,
  MediaController = 7422,
  MediaDeviceInfo = 7438,
  MediaDevices = 7454,
  MediaElementAudioSourceNode = 7467,
  MediaEncryptedEvent = 7495,
  MediaError = 7515,
  MediaKeyError = 7526,
  MediaKeyMessageEvent = 7540,
  MediaKeySession = 7561,
  MediaKeyStatusMap = 7577,
  MediaKeyStatusMap_Iterator = 7595,
  MediaKeySystemAccess = 7622,
  MediaKeys = 7643,
  MediaList = 7653,
  MediaMetadata = 7663,
  MediaQueryList = 7677,
  MediaQueryListEvent = 7692,
  MediaRecorder = 7712,
  MediaRecorderErrorEvent = 7726,
  MediaSession = 7750,
  MediaSource = 7763,
  MediaStream = 7775,
  MediaStreamAudioDestinationNode = 7787,
  MediaStreamAudioSourceNode = 7819,
  MediaStreamError = 7846,
  MediaStreamEvent = 7863,
  MediaStreamTrack = 7880,
  MediaStreamTrackAudioSourceNode = 7897,
  MediaStreamTrackEvent = 7929,
  MerchantValidationEvent = 7951,
  MessageBroadcaster = 7975,
  MessageChannel = 7994,
  MessageEvent = 8009,
  MessageListenerManager = 8022,
  MessagePort = 8045,
  MessageSender = 8057,
  MimeType = 8071,
  MimeTypeArray = 8080,
  MouseEvent = 8094,
  MouseScrollEvent = 8105,
  MozCanvasPrintState = 8122,
  MozDocumentMatcher = 8142,
  MozDocumentObserver = 8161,
  MozQueryInterface = 8181,
  MozSharedMap = 8199,
  MozSharedMap_Iterator = 8212,
  MozSharedMapChangeEvent = 8234,
  MozStorageAsyncStatementParams = 8258,
  MozStorageStatementParams = 8289,
  MozStorageStatementRow = 8315,
  MozWritableSharedMap = 8338,
  MutationEvent = 8359,
  MutationObserver = 8373,
  MutationRecord = 8390,
  NamedNodeMap = 8405,
  NavigationPreloadManager = 8418,
  Navigator = 8443,
  NetworkInformation = 8453,
  Node = 8472,
  NodeFilter = 8477,
  NodeIterator = 8488,
  NodeList = 8501,
  Notification = 8510,
  NotificationEvent = 8523,
  NotifyPaintEvent = 8541,
  OES_draw_buffers_indexed = 8558,
  OES_element_index_uint = 8583,
  OES_fbo_render_mipmap = 8606,
  OES_standard_derivatives = 8628,
  OES_texture_float = 8653,
  OES_texture_float_linear = 8671,
  OES_texture_half_float = 8696,
  OES_texture_half_float_linear = 8719,
  OES_vertex_array_object = 8749,
  OVR_multiview2 = 8773,
  OfflineAudioCompletionEvent = 8788,
  OfflineAudioContext = 8816,
  OffscreenCanvas = 8836,
  OffscreenCanvasRenderingContext2D = 8852,
  Option = 8886,
  OscillatorNode = 8893,
  PageTransitionEvent = 8908,
  PaintRequest = 8928,
  PaintRequestList = 8941,
  PaintWorkletGlobalScope = 8958,
  PannerNode = 8982,
  ParentProcessMessageManager = 8993,
  Path2D = 9021,
  PathUtils = 9028,
  PaymentAddress = 9038,
  PaymentMethodChangeEvent = 9053,
  PaymentRequest = 9078,
  PaymentRequestUpdateEvent = 9093,
  PaymentResponse = 9119,
  PeerConnectionImpl = 9135,
  PeerConnectionObserver = 9154,
  Performance = 9177,
  PerformanceEntry = 9189,
  PerformanceEntryEvent = 9206,
  PerformanceEventTiming = 9228,
  PerformanceMark = 9251,
  PerformanceMeasure = 9267,
  PerformanceNavigation = 9286,
  PerformanceNavigationTiming = 9308,
  PerformanceObserver = 9336,
  PerformanceObserverEntryList = 9356,
  PerformancePaintTiming = 9385,
  PerformanceResourceTiming = 9408,
  PerformanceServerTiming = 9434,
  PerformanceTiming = 9458,
  PeriodicWave = 9476,
  PermissionStatus = 9489,
  Permissions = 9506,
  PlacesBookmark = 9518,
  PlacesBookmarkAddition = 9533,
  PlacesBookmarkChanged = 9556,
  PlacesBookmarkGuid = 9578,
  PlacesBookmarkKeyword = 9597,
  PlacesBookmarkMoved = 9619,
  PlacesBookmarkRemoved = 9639,
  PlacesBookmarkTags = 9661,
  PlacesBookmarkTime = 9680,
  PlacesBookmarkTitle = 9699,
  PlacesBookmarkUrl = 9719,
  PlacesEvent = 9737,
  PlacesFavicon = 9749,
  PlacesHistoryCleared = 9763,
  PlacesObservers = 9784,
  PlacesPurgeCaches = 9800,
  PlacesRanking = 9818,
  PlacesVisit = 9832,
  PlacesVisitRemoved = 9844,
  PlacesVisitTitle = 9863,
  PlacesWeakCallbackWrapper = 9880,
  Plugin = 9906,
  PluginArray = 9913,
  PluginCrashedEvent = 9925,
  PointerEvent = 9944,
  PopStateEvent = 9957,
  PopupBlockedEvent = 9971,
  PopupPositionedEvent = 9989,
  PositionStateEvent = 10010,
  PrecompiledScript = 10029,
  ProcessMessageManager = 10047,
  ProcessingInstruction = 10069,
  ProgressEvent = 10091,
  PromiseDebugging = 10105,
  PromiseNativeHandler = 10122,
  PromiseRejectionEvent = 10143,
  PublicKeyCredential = 10165,
  PushEvent = 10185,
  PushManager = 10195,
  PushManagerImpl = 10207,
  PushMessageData = 10223,
  PushSubscription = 10239,
  PushSubscriptionOptions = 10256,
  RTCCertificate = 10280,
  RTCDTMFSender = 10295,
  RTCDTMFToneChangeEvent = 10309,
  RTCDataChannel = 10332,
  RTCDataChannelEvent = 10347,
  RTCDtlsTransport = 10367,
  RTCEncodedAudioFrame = 10384,
  RTCEncodedVideoFrame = 10405,
  RTCIceCandidate = 10426,
  RTCIdentityProviderRegistrar = 10442,
  RTCPeerConnection = 10471,
  RTCPeerConnectionIceEvent = 10489,
  RTCPeerConnectionStatic = 10515,
  RTCRtpReceiver = 10539,
  RTCRtpScriptTransform = 10554,
  RTCRtpScriptTransformer = 10576,
  RTCRtpSender = 10600,
  RTCRtpTransceiver = 10613,
  RTCSctpTransport = 10631,
  RTCSessionDescription = 10648,
  RTCStatsReport = 10670,
  RTCTrackEvent = 10685,
  RTCTransformEvent = 10699,
  RadioNodeList = 10717,
  Range = 10731,
  ReadableByteStreamController = 10737,
  ReadableStream = 10766,
  ReadableStream_AsyncIterator = 10781,
  ReadableStreamBYOBReader = 10810,
  ReadableStreamBYOBRequest = 10835,
  ReadableStreamDefaultController = 10861,
  ReadableStreamDefaultReader = 10893,
  Report = 10921,
  ReportBody = 10928,
  ReportingObserver = 10939,
  Request = 10957,
  ResizeObserver = 10965,
  ResizeObserverEntry = 10980,
  ResizeObserverSize = 11000,
  Response = 11019,
  SVGAElement = 11028,
  SVGAngle = 11040,
  SVGAnimateElement = 11049,
  SVGAnimateMotionElement = 11067,
  SVGAnimateTransformElement = 11091,
  SVGAnimatedAngle = 11118,
  SVGAnimatedBoolean = 11135,
  SVGAnimatedEnumeration = 11154,
  SVGAnimatedInteger = 11177,
  SVGAnimatedLength = 11196,
  SVGAnimatedLengthList = 11214,
  SVGAnimatedNumber = 11236,
  SVGAnimatedNumberList = 11254,
  SVGAnimatedPreserveAspectRatio = 11276,
  SVGAnimatedRect = 11307,
  SVGAnimatedString = 11323,
  SVGAnimatedTransformList = 11341,
  SVGAnimationElement = 11366,
  SVGCircleElement = 11386,
  SVGClipPathElement = 11403,
  SVGComponentTransferFunctionElement = 11422,
  SVGDefsElement = 11458,
  SVGDescElement = 11473,
  SVGElement = 11488,
  SVGEllipseElement = 11499,
  SVGFEBlendElement = 11517,
  SVGFEColorMatrixElement = 11535,
  SVGFEComponentTransferElement = 11559,
  SVGFECompositeElement = 11589,
  SVGFEConvolveMatrixElement = 11611,
  SVGFEDiffuseLightingElement = 11638,
  SVGFEDisplacementMapElement = 11666,
  SVGFEDistantLightElement = 11694,
  SVGFEDropShadowElement = 11719,
  SVGFEFloodElement = 11742,
  SVGFEFuncAElement = 11760,
  SVGFEFuncBElement = 11778,
  SVGFEFuncGElement = 11796,
  SVGFEFuncRElement = 11814,
  SVGFEGaussianBlurElement = 11832,
  SVGFEImageElement = 11857,
  SVGFEMergeElement = 11875,
  SVGFEMergeNodeElement = 11893,
  SVGFEMorphologyElement = 11915,
  SVGFEOffsetElement = 11938,
  SVGFEPointLightElement = 11957,
  SVGFESpecularLightingElement = 11980,
  SVGFESpotLightElement = 12009,
  SVGFETileElement = 12031,
  SVGFETurbulenceElement = 12048,
  SVGFilterElement = 12071,
  SVGForeignObjectElement = 12088,
  SVGGElement = 12112,
  SVGGeometryElement = 12124,
  SVGGradientElement = 12143,
  SVGGraphicsElement = 12162,
  SVGImageElement = 12181,
  SVGLength = 12197,
  SVGLengthList = 12207,
  SVGLineElement = 12221,
  SVGLinearGradientElement = 12236,
  SVGMPathElement = 12261,
  SVGMarkerElement = 12277,
  SVGMaskElement = 12294,
  SVGMatrix = 12309,
  SVGMetadataElement = 12319,
  SVGNumber = 12338,
  SVGNumberList = 12348,
  SVGPathElement = 12362,
  SVGPathSeg = 12377,
  SVGPathSegArcAbs = 12388,
  SVGPathSegArcRel = 12405,
  SVGPathSegClosePath = 12422,
  SVGPathSegCurvetoCubicAbs = 12442,
  SVGPathSegCurvetoCubicRel = 12468,
  SVGPathSegCurvetoCubicSmoothAbs = 12494,
  SVGPathSegCurvetoCubicSmoothRel = 12526,
  SVGPathSegCurvetoQuadraticAbs = 12558,
  SVGPathSegCurvetoQuadraticRel = 12588,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12618,
  SVGPathSegCurvetoQuadraticSmoothRel = 12654,
  SVGPathSegLinetoAbs = 12690,
  SVGPathSegLinetoHorizontalAbs = 12710,
  SVGPathSegLinetoHorizontalRel = 12740,
  SVGPathSegLinetoRel = 12770,
  SVGPathSegLinetoVerticalAbs = 12790,
  SVGPathSegLinetoVerticalRel = 12818,
  SVGPathSegList = 12846,
  SVGPathSegMovetoAbs = 12861,
  SVGPathSegMovetoRel = 12881,
  SVGPatternElement = 12901,
  SVGPoint = 12919,
  SVGPointList = 12928,
  SVGPolygonElement = 12941,
  SVGPolylineElement = 12959,
  SVGPreserveAspectRatio = 12978,
  SVGRadialGradientElement = 13001,
  SVGRect = 13026,
  SVGRectElement = 13034,
  SVGSVGElement = 13049,
  SVGScriptElement = 13063,
  SVGSetElement = 13080,
  SVGStopElement = 13094,
  SVGStringList = 13109,
  SVGStyleElement = 13123,
  SVGSwitchElement = 13139,
  SVGSymbolElement = 13156,
  SVGTSpanElement = 13173,
  SVGTextContentElement = 13189,
  SVGTextElement = 13211,
  SVGTextPathElement = 13226,
  SVGTextPositioningElement = 13245,
  SVGTitleElement = 13271,
  SVGTransform = 13287,
  SVGTransformList = 13300,
  SVGUnitTypes = 13317,
  SVGUseElement = 13330,
  SVGViewElement = 13344,
  Sanitizer = 13359,
  Scheduler = 13369,
  Screen = 13379,
  ScreenLuminance = 13386,
  ScreenOrientation = 13402,
  ScriptProcessorNode = 13420,
  ScrollAreaEvent = 13440,
  ScrollViewChangeEvent = 13456,
  SecurityPolicyViolationEvent = 13478,
  Selection = 13507,
  ServiceWorker = 13517,
  ServiceWorkerContainer = 13531,
  ServiceWorkerGlobalScope = 13554,
  ServiceWorkerRegistration = 13579,
  SessionStoreFormData = 13605,
  SessionStoreScrollData = 13626,
  SessionStoreUtils = 13649,
  ShadowRealmGlobalScope = 13667,
  ShadowRoot = 13690,
  SharedWorker = 13701,
  SharedWorkerGlobalScope = 13714,
  SimpleGestureEvent = 13738,
  SourceBuffer = 13757,
  SourceBufferList = 13770,
  SpeechGrammar = 13787,
  SpeechGrammarList = 13801,
  SpeechRecognition = 13819,
  SpeechRecognitionAlternative = 13837,
  SpeechRecognitionError = 13866,
  SpeechRecognitionEvent = 13889,
  SpeechRecognitionResult = 13912,
  SpeechRecognitionResultList = 13936,
  SpeechSynthesis = 13964,
  SpeechSynthesisErrorEvent = 13980,
  SpeechSynthesisEvent = 14006,
  SpeechSynthesisUtterance = 14027,
  SpeechSynthesisVoice = 14052,
  StaticRange = 14073,
  StereoPannerNode = 14085,
  Storage = 14102,
  StorageEvent = 14110,
  StorageManager = 14123,
  StreamFilter = 14138,
  StreamFilterDataEvent = 14151,
  StructuredCloneHolder = 14173,
  StructuredCloneTester = 14195,
  StyleSheet = 14217,
  StyleSheetApplicableStateChangeEvent = 14228,
  StyleSheetList = 14265,
  SubmitEvent = 14280,
  SubtleCrypto = 14292,
  SyncMessageSender = 14305,
  SyncReadFile = 14323,
  TCPServerSocket = 14336,
  TCPServerSocketEvent = 14352,
  TCPSocket = 14373,
  TCPSocketErrorEvent = 14383,
  TCPSocketEvent = 14403,
  TaskController = 14418,
  TaskPriorityChangeEvent = 14433,
  TaskSignal = 14457,
  TelemetryStopwatch = 14468,
  TestUtils = 14487,
  TestingDeprecatedInterface = 14497,
  Text = 14524,
  TextClause = 14529,
  TextDecoder = 14540,
  TextDecoderStream = 14552,
  TextEncoder = 14570,
  TextEncoderStream = 14582,
  TextMetrics = 14600,
  TextTrack = 14612,
  TextTrackCue = 14622,
  TextTrackCueList = 14635,
  TextTrackList = 14652,
  TimeEvent = 14666,
  TimeRanges = 14676,
  ToggleEvent = 14687,
  Touch = 14699,
  TouchEvent = 14705,
  TouchList = 14716,
  TrackEvent = 14726,
  TransformStream = 14737,
  TransformStreamDefaultController = 14753,
  TransitionEvent = 14786,
  TreeColumn = 14802,
  TreeColumns = 14813,
  TreeContentView = 14825,
  TreeWalker = 14841,
  UDPMessageEvent = 14852,
  UDPSocket = 14868,
  UIEvent = 14878,
  URL = 14886,
  URLSearchParams = 14890,
  URLSearchParams_Iterator = 14906,
  UniFFIPointer = 14931,
  UniFFIScaffolding = 14945,
  UserInteraction = 14963,
  UserProximityEvent = 14979,
  VRDisplay = 14998,
  VRDisplayCapabilities = 15008,
  VRDisplayEvent = 15030,
  VREyeParameters = 15045,
  VRFieldOfView = 15061,
  VRFrameData = 15075,
  VRMockController = 15087,
  VRMockDisplay = 15104,
  VRPose = 15118,
  VRServiceTest = 15125,
  VRStageParameters = 15139,
  VTTCue = 15157,
  VTTRegion = 15164,
  ValidityState = 15174,
  VideoColorSpace = 15188,
  VideoDecoder = 15204,
  VideoFrame = 15217,
  VideoPlaybackQuality = 15228,
  VideoTrack = 15249,
  VideoTrackList = 15260,
  VisualViewport = 15275,
  WEBGL_color_buffer_float = 15290,
  WEBGL_compressed_texture_astc = 15315,
  WEBGL_compressed_texture_etc = 15345,
  WEBGL_compressed_texture_etc1 = 15374,
  WEBGL_compressed_texture_pvrtc = 15404,
  WEBGL_compressed_texture_s3tc = 15435,
  WEBGL_compressed_texture_s3tc_srgb = 15465,
  WEBGL_debug_renderer_info = 15500,
  WEBGL_debug_shaders = 15526,
  WEBGL_depth_texture = 15546,
  WEBGL_draw_buffers = 15566,
  WEBGL_explicit_present = 15585,
  WEBGL_lose_context = 15608,
  WEBGL_provoking_vertex = 15627,
  WaveShaperNode = 15650,
  WebExtensionContentScript = 15665,
  WebExtensionPolicy = 15691,
  WebGL2RenderingContext = 15710,
  WebGLActiveInfo = 15733,
  WebGLBuffer = 15749,
  WebGLContextEvent = 15761,
  WebGLFramebuffer = 15779,
  WebGLProgram = 15796,
  WebGLQuery = 15809,
  WebGLRenderbuffer = 15820,
  WebGLRenderingContext = 15838,
  WebGLSampler = 15860,
  WebGLShader = 15873,
  WebGLShaderPrecisionFormat = 15885,
  WebGLSync = 15912,
  WebGLTexture = 15922,
  WebGLTransformFeedback = 15935,
  WebGLUniformLocation = 15958,
  WebGLVertexArrayObject = 15979,
  WebKitCSSMatrix = 16002,
  WebSocket = 16018,
  WebTransport = 16028,
  WebTransportBidirectionalStream = 16041,
  WebTransportDatagramDuplexStream = 16073,
  WebTransportError = 16106,
  WebTransportReceiveStream = 16124,
  WebTransportSendStream = 16150,
  WebrtcGlobalInformation = 16173,
  WheelEvent = 16197,
  Window = 16208,
  WindowClient = 16215,
  WindowContext = 16228,
  WindowGlobalChild = 16242,
  WindowGlobalParent = 16260,
  WindowRoot = 16279,
  Worker = 16290,
  WorkerDebuggerGlobalScope = 16297,
  WorkerGlobalScope = 16323,
  WorkerLocation = 16341,
  WorkerNavigator = 16356,
  WorkerTestUtils = 16372,
  Worklet = 16388,
  WorkletGlobalScope = 16396,
  WritableStream = 16415,
  WritableStreamDefaultController = 16430,
  WritableStreamDefaultWriter = 16462,
  XMLDocument = 16490,
  XMLHttpRequest = 16502,
  XMLHttpRequestEventTarget = 16517,
  XMLHttpRequestUpload = 16543,
  XMLSerializer = 16564,
  XPathEvaluator = 16578,
  XPathExpression = 16593,
  XPathResult = 16609,
  XRBoundedReferenceSpace = 16621,
  XRFrame = 16645,
  XRInputSource = 16653,
  XRInputSourceArray = 16667,
  XRInputSourceEvent = 16686,
  XRInputSourcesChangeEvent = 16705,
  XRPose = 16731,
  XRReferenceSpace = 16738,
  XRReferenceSpaceEvent = 16755,
  XRRenderState = 16777,
  XRRigidTransform = 16791,
  XRSession = 16808,
  XRSessionEvent = 16818,
  XRSpace = 16833,
  XRSystem = 16841,
  XRView = 16850,
  XRViewerPose = 16857,
  XRViewport = 16870,
  XRWebGLLayer = 16881,
  XSLTProcessor = 16894,
  XULCommandEvent = 16908,
  XULElement = 16924,
  XULFrameElement = 16935,
  XULMenuElement = 16951,
  XULPopupElement = 16966,
  XULResizerElement = 16982,
  XULTextElement = 17000,
  XULTreeElement = 17015,
  console = 17030,
  webkitSpeechGrammar = 17038,
  webkitSpeechGrammarList = 17058,
  webkitSpeechRecognition = 17082,
  webkitURL = 17106,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // DOM_BINDINGNAMES_H_
